# Type alias BufferLike

BufferLike: string | Buffer | DataView | number | ArrayBufferView | Uint8Array | ArrayBuffer | SharedArrayBuffer | readonly any[] | readonly number[] | {
valueOf(): ArrayBuffer;
} | {
valueOf(): SharedArrayBuffer;
} | {
valueOf(): Uint8Array;
} | {
valueOf(): readonly number[];
} | {
valueOf(): string;
} | {
[toPrimitive](hint): string;
}

#### Type declaration

- ##### valueOf:function

  - valueOf(): ArrayBuffer

  - #### Returns ArrayBuffer

    - Defined in node_modules/@types/ws/index.d.ts:31

#### Type declaration

- ##### valueOf:function

  - valueOf(): SharedArrayBuffer

  - #### Returns SharedArrayBuffer

    - Defined in node_modules/@types/ws/index.d.ts:32

#### Type declaration

- ##### valueOf:function

  - valueOf(): Uint8Array

  - #### Returns Uint8Array

    - Defined in node_modules/@types/ws/index.d.ts:33

#### Type declaration

- ##### valueOf:function

  - valueOf(): readonly number[]

  - #### Returns readonly number[]

    - Defined in node_modules/@types/ws/index.d.ts:34

#### Type declaration

- ##### valueOf:function

  - valueOf(): string

  - #### Returns string

    - Defined in node_modules/@types/ws/index.d.ts:35

#### Type declaration

- ##### [toPrimitive]:function

  - [toPrimitive](hint): string

  - #### Parameters

    - hint: string

    #### Returns string

    - Defined in node_modules/@types/ws/index.d.ts:36

- Defined in node_modules/@types/ws/index.d.ts:20